<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::op_pointwise_multiply3&lt; M1, M2, M3 &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="structdlib_1_1op__pointwise__multiply3.html">op_pointwise_multiply3</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="structdlib_1_1op__pointwise__multiply3-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::op_pointwise_multiply3&lt; M1, M2, M3 &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::op_pointwise_multiply3&lt; M1, M2, M3 &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structdlib_1_1op__pointwise__multiply3.png" usemap="#dlib::op_5Fpointwise_5Fmultiply3_3C_20M1_2C_20M2_2C_20M3_20_3E_map" alt=""/>
  <map id="dlib::op_5Fpointwise_5Fmultiply3_3C_20M1_2C_20M2_2C_20M3_20_3E_map" name="dlib::op_5Fpointwise_5Fmultiply3_3C_20M1_2C_20M2_2C_20M3_20_3E_map">
<area href="structdlib_1_1basic__op__mmm.html" alt="dlib::basic_op_mmm&lt; M1, M2, M3 &gt;" shape="rect" coords="0,0,263,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:ab5554854a92373c1c5b1de4d57c2888b"><td class="memItemLeft" align="right" valign="top"><a id="ab5554854a92373c1c5b1de4d57c2888b"></a>
typedef M1::type&#160;</td><td class="memItemRight" valign="bottom"><b>type</b></td></tr>
<tr class="separator:ab5554854a92373c1c5b1de4d57c2888b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a641e2d1bd2c607556cc87819ec36a4fa"><td class="memItemLeft" align="right" valign="top"><a id="a641e2d1bd2c607556cc87819ec36a4fa"></a>
typedef const M1::type&#160;</td><td class="memItemRight" valign="bottom"><b>const_ret_type</b></td></tr>
<tr class="separator:a641e2d1bd2c607556cc87819ec36a4fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_structdlib_1_1basic__op__mmm"><td colspan="2" onclick="javascript:toggleInherit('pub_types_structdlib_1_1basic__op__mmm')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="structdlib_1_1basic__op__mmm.html">dlib::basic_op_mmm&lt; M1, M2, M3 &gt;</a></td></tr>
<tr class="memitem:a217a64318a8064a4a80f8519a5d518f6 inherit pub_types_structdlib_1_1basic__op__mmm"><td class="memItemLeft" align="right" valign="top"><a id="a217a64318a8064a4a80f8519a5d518f6"></a>
typedef M1::mem_manager_type&#160;</td><td class="memItemRight" valign="bottom"><b>mem_manager_type</b></td></tr>
<tr class="separator:a217a64318a8064a4a80f8519a5d518f6 inherit pub_types_structdlib_1_1basic__op__mmm"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc21fc19c1e60fb565dabc5a28e38622 inherit pub_types_structdlib_1_1basic__op__mmm"><td class="memItemLeft" align="right" valign="top"><a id="afc21fc19c1e60fb565dabc5a28e38622"></a>
typedef M1::layout_type&#160;</td><td class="memItemRight" valign="bottom"><b>layout_type</b></td></tr>
<tr class="separator:afc21fc19c1e60fb565dabc5a28e38622 inherit pub_types_structdlib_1_1basic__op__mmm"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:addc1eddf36bdc9df109ea9e783ab90b1"><td class="memItemLeft" align="right" valign="top"><a id="addc1eddf36bdc9df109ea9e783ab90b1"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>op_pointwise_multiply3</b> (const M1 &amp;m1_, const M2 &amp;m2_, const M3 &amp;m3_)</td></tr>
<tr class="separator:addc1eddf36bdc9df109ea9e783ab90b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a532d5c186a0ec19f53b234ec841e9802"><td class="memItemLeft" align="right" valign="top"><a id="a532d5c186a0ec19f53b234ec841e9802"></a>
const_ret_type&#160;</td><td class="memItemRight" valign="bottom"><b>apply</b> (long r, long c) const</td></tr>
<tr class="separator:a532d5c186a0ec19f53b234ec841e9802"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_structdlib_1_1basic__op__mmm"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_structdlib_1_1basic__op__mmm')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="structdlib_1_1basic__op__mmm.html">dlib::basic_op_mmm&lt; M1, M2, M3 &gt;</a></td></tr>
<tr class="memitem:a54fbfa288806a0bc50085d0ebdabb78c inherit pub_methods_structdlib_1_1basic__op__mmm"><td class="memItemLeft" align="right" valign="top"><a id="a54fbfa288806a0bc50085d0ebdabb78c"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>basic_op_mmm</b> (const M1 &amp;m1_, const M2 &amp;m2_, const M3 &amp;m3_)</td></tr>
<tr class="separator:a54fbfa288806a0bc50085d0ebdabb78c inherit pub_methods_structdlib_1_1basic__op__mmm"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d6ef6eed4bc641acefe3e9628679319 inherit pub_methods_structdlib_1_1basic__op__mmm"><td class="memItemLeft" align="right" valign="top"><a id="a3d6ef6eed4bc641acefe3e9628679319"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nr</b> () const</td></tr>
<tr class="separator:a3d6ef6eed4bc641acefe3e9628679319 inherit pub_methods_structdlib_1_1basic__op__mmm"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8cea61b05ce8ca635352fa26ffea3915 inherit pub_methods_structdlib_1_1basic__op__mmm"><td class="memItemLeft" align="right" valign="top"><a id="a8cea61b05ce8ca635352fa26ffea3915"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nc</b> () const</td></tr>
<tr class="separator:a8cea61b05ce8ca635352fa26ffea3915 inherit pub_methods_structdlib_1_1basic__op__mmm"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acde7e8c7b20b60f52fb09de54b74cd76 inherit pub_methods_structdlib_1_1basic__op__mmm"><td class="memTemplParams" colspan="2"><a id="acde7e8c7b20b60f52fb09de54b74cd76"></a>
template&lt;typename U &gt; </td></tr>
<tr class="memitem:acde7e8c7b20b60f52fb09de54b74cd76 inherit pub_methods_structdlib_1_1basic__op__mmm"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><b>aliases</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; U &gt; &amp;item) const</td></tr>
<tr class="separator:acde7e8c7b20b60f52fb09de54b74cd76 inherit pub_methods_structdlib_1_1basic__op__mmm"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:accd3a652a4bcd08864afb347ad7a3619 inherit pub_methods_structdlib_1_1basic__op__mmm"><td class="memTemplParams" colspan="2"><a id="accd3a652a4bcd08864afb347ad7a3619"></a>
template&lt;typename U &gt; </td></tr>
<tr class="memitem:accd3a652a4bcd08864afb347ad7a3619 inherit pub_methods_structdlib_1_1basic__op__mmm"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><b>destructively_aliases</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; U &gt; &amp;item) const</td></tr>
<tr class="separator:accd3a652a4bcd08864afb347ad7a3619 inherit pub_methods_structdlib_1_1basic__op__mmm"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:af75e6ce10d8204fd4c01fc9e3079f0b6"><td class="memItemLeft" align="right" valign="top"><a id="af75e6ce10d8204fd4c01fc9e3079f0b6"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>cost</b> = M1::cost + M2::cost + M3::cost + 2</td></tr>
<tr class="separator:af75e6ce10d8204fd4c01fc9e3079f0b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_attribs_structdlib_1_1basic__op__mmm"><td colspan="2" onclick="javascript:toggleInherit('pub_static_attribs_structdlib_1_1basic__op__mmm')"><img src="closed.png" alt="-"/>&#160;Static Public Attributes inherited from <a class="el" href="structdlib_1_1basic__op__mmm.html">dlib::basic_op_mmm&lt; M1, M2, M3 &gt;</a></td></tr>
<tr class="memitem:a7cd4d594fe32d76b559b8982370a87d6 inherit pub_static_attribs_structdlib_1_1basic__op__mmm"><td class="memItemLeft" align="right" valign="top"><a id="a7cd4d594fe32d76b559b8982370a87d6"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NR</b> = M1::NR</td></tr>
<tr class="separator:a7cd4d594fe32d76b559b8982370a87d6 inherit pub_static_attribs_structdlib_1_1basic__op__mmm"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a250178cf0769022a86258060bb2f4669 inherit pub_static_attribs_structdlib_1_1basic__op__mmm"><td class="memItemLeft" align="right" valign="top"><a id="a250178cf0769022a86258060bb2f4669"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NC</b> = M1::NC</td></tr>
<tr class="separator:a250178cf0769022a86258060bb2f4669 inherit pub_static_attribs_structdlib_1_1basic__op__mmm"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_attribs_structdlib_1_1basic__op__mmm"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_structdlib_1_1basic__op__mmm')"><img src="closed.png" alt="-"/>&#160;Public Attributes inherited from <a class="el" href="structdlib_1_1basic__op__mmm.html">dlib::basic_op_mmm&lt; M1, M2, M3 &gt;</a></td></tr>
<tr class="memitem:a85fbeab106625c3334b0341a9b3219e2 inherit pub_attribs_structdlib_1_1basic__op__mmm"><td class="memItemLeft" align="right" valign="top"><a id="a85fbeab106625c3334b0341a9b3219e2"></a>
const M1 &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>m1</b></td></tr>
<tr class="separator:a85fbeab106625c3334b0341a9b3219e2 inherit pub_attribs_structdlib_1_1basic__op__mmm"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a333c96857387743f819c8101a58b6a2b inherit pub_attribs_structdlib_1_1basic__op__mmm"><td class="memItemLeft" align="right" valign="top"><a id="a333c96857387743f819c8101a58b6a2b"></a>
const M2 &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>m2</b></td></tr>
<tr class="separator:a333c96857387743f819c8101a58b6a2b inherit pub_attribs_structdlib_1_1basic__op__mmm"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f2633b00290186ad87e7aab008fe25c inherit pub_attribs_structdlib_1_1basic__op__mmm"><td class="memItemLeft" align="right" valign="top"><a id="a8f2633b00290186ad87e7aab008fe25c"></a>
const M3 &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>m3</b></td></tr>
<tr class="separator:a8f2633b00290186ad87e7aab008fe25c inherit pub_attribs_structdlib_1_1basic__op__mmm"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="matrix__utilities_8h_source.html">matrix_utilities.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
